Page MenuHomePhabricator

improve branch views in diffusion like github
Closed, DuplicatePublic

Description

The repo overview page combines nicely the latest commits, history and tree view of the repo. But once you choose a given branch you are moved away from the overview.

Would be great to have a branch/tag/master/head chooser on top of the repo browser. May github could be a inspiration for that, you choose the branch/tag on top.

Give the nice views phabricator already have, may a "compare branches" view could be a premium?

Event Timeline

hwinkel created this task.Nov 30 2013, 8:10 PM
hwinkel updated the task description. (Show Details)
hwinkel raised the priority of this task from to Needs Triage.
hwinkel added a project: Diffusion.
hwinkel added subscribers: hwinkel, RoadRunnr, hsychla.
hwinkel renamed this task from improve brach views in diffusion like github to improve branch views in diffusion like github.Dec 1 2013, 11:00 AM

we are currently about to import a repo which has many branches and it would be great to find a option to compare branches with a left and right view. any ideas about this?

I'd take it a step further and say that phabricator should support diffs across commits, similar to github's compare view. An example of compare view in action:
https://github.com/facebook/phabricator/compare/ffeee378101984140d06f2b3891091e27db5bf58...9be4df02c230bd75edf3037403a6d7c2d3fec1e6

epriestley closed this task as a duplicate.Feb 5 2014, 7:13 PM

✘ Merged into T929.